Subject: Re: Commands Mismatch in tutorial and the actual binaries.

From: Jakub Narebski <[email-masked]>
Date: Mon, 29 May 2006 08:07:39 +0200

kandagatla.Srinivas wrote:

> Hi All 
> Im very new to GIT Stuff. But by installing the latest version (git-1.3.3)
> of GIT and going thru the tutorial, I am unable to understand why
> there is a mismatch in the commmands.
> Tutorial says use commands like git init-db but actually these are
> installed as git-init-db. Is this OK.. or NOT.
> 
> One more doubt is .. I was unable to locate a command like git-add ..
> 
> Can some one help me.

Actually, in properly installed git both versions should work, 
and 'git command' is preferred version, at least for the ordinary
user level commands; "plumbing" commands are usually spelled 'git-command'.
Usually 'git command' is just a wrapper calling git-command.

-- 
Jakub Narebski
Warsaw, Poland